# there are sphinx.spec, sphinx2.spec...  Sphinx.spec is too confusing
# therefore the name for this package is sphinx-pdg (pdg - python
# documentation generator)
Summary:	Sphinx - Python documentation generator
Summary(pl.UTF-8):	Sphinx - narzędzie do tworzenia dokumentacji dla Pythona
Name:		sphinx-pdg
Version:	1.2.3
Release:	2
License:	BSD
Group:		Development/Languages/Python
Source0:	https://pypi.python.org/packages/source/S/Sphinx/Sphinx-%{version}.tar.gz
# Source0-md5:	a98c93124035b4cd7183604aec656cb3
Patch0:		sphinx-pdg-bug-1226.patch
URL:		http://sphinx.pocoo.org/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-distribute
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-Sphinx = %{version}-%{release}
Requires:	python-devel-tools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sphinx is a tool that makes it easy to create intelligent and
beautiful documentation for Python projects (or other documents
consisting of multiple reStructuredText sources), written by Georg
Brandl. It was originally created to translate the new Python
documentation, but has now been cleaned up in the hope that it will be
useful to many other projects.

%description -l pl.UTF-8
Sphinx to narzędzie ułatwiające tworzenie inteligentnej i ładnej
dokumentacji dla projektów w Pythonie (lub innych dokumentów
składających się z wielu źródeł w formacie reStructuredText), napisane
przez Georga Brandla. Pierwotnie powstało do tłumaczenia nowej
dokumentacji Pythona, ale potem zostało wyczyszczone w nadziei, że
będzie przydatne dla wielu innych projektów.

%package 3
Summary:	Sphinx Python documentation generator (Python 3 version)
Summary(pl.UTF-8):	Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (wersja dla Pythona 3)
Group:		Development/Languages/Python
Requires:	python3-Sphinx = %{version}-%{release}

%description 3
Sphinx is a tool that makes it easy to create intelligent and
beautiful documentation for Python projects (or other documents
consisting of multiple reStructuredText sources), written by Georg
Brandl. It was originally created to translate the new Python
documentation, but has now been cleaned up in the hope that it will be
useful to many other projects.

%description 3 -l pl.UTF-8
Sphinx to narzędzie ułatwiające tworzenie inteligentnej i ładnej
dokumentacji dla projektów w Pythonie (lub innych dokumentów
składających się z wielu źródeł w formacie reStructuredText), napisane
przez Georga Brandla. Pierwotnie powstało do tłumaczenia nowej
dokumentacji Pythona, ale potem zostało wyczyszczone w nadziei, że
będzie przydatne dla wielu innych projektów.

%package -n python-Sphinx
Summary:	Sphinx Python documentation generator (Python 2.x modules)
Summary(pl.UTF-8):	Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (moduły Pythona 2.x)
Group:		Development/Languages/Python
Requires:	python-distribute
Requires:	python-docutils >= 0.7
Requires:	python-jinja2 >= 2.3
Requires:	python-modules
Requires:	python-pygments >= 1.2
Conflicts:	sphinx-pdg < 1.0.7-2

%description -n python-Sphinx
Sphinx Python documentation generator (Python 2.x modules).

For command-line utilities, see sphinx-pdg package.

%description -n python-Sphinx -l pl.UTF-8
Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (moduły
Pythona 2.x).

Narzędzia działające z linii poleceń znajdują się w pakiecie
sphinx-pdg.

%package -n python3-Sphinx
Summary:	Sphinx Python documentation generator (Python 3.x modules)
Summary(pl.UTF-8):	Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (moduły Pythona 3.x)
Group:		Development/Languages/Python
Requires:	python3-distribute
Requires:	python3-docutils >= 0.8
Requires:	python3-jinja2 >= 2.3
Requires:	python3-pygments >= 1.2
Conflicts:	sphinx-pdg-3 < 1.0.7-2

%description -n python3-Sphinx
Sphinx Python documentation generator (Python 3.x modules).

For command-line utilities, see sphinx-pdg-3 package.

%description -n python3-Sphinx -l pl.UTF-8
Sphinx - narzędzie do tworzenia dokumentacji dla Pythona (moduły
Pythona 3.x).

Narzędzia działające z linii poleceń znajdują się w pakiecie
sphinx-pdg-3.

%prep
%setup -q -n Sphinx-%{version}
%patch0 -p1

%build
%{__python} setup.py build -b build-2
%{__rm} sphinx/__init__.pyc
%{__python3} setup.py build -b build-3
%{__rm} -r sphinx/__pycache__

%install
rm -rf $RPM_BUILD_ROOT

%{__python3} setup.py build -b build-3 install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
%{__rm} -r sphinx/__pycache__

for f in $RPM_BUILD_ROOT%{_bindir}/*; do
	mv "${f}" "${f}-3"
done

%{__python} setup.py build -b build-2 install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT
%{__rm} sphinx/__init__.pyc

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES EXAMPLES LICENSE PKG-INFO README.rst TODO
%attr(755,root,root) %{_bindir}/sphinx-autogen
%attr(755,root,root) %{_bindir}/sphinx-apidoc
%attr(755,root,root) %{_bindir}/sphinx-build
%attr(755,root,root) %{_bindir}/sphinx-quickstart

%files 3
%defattr(644,root,root,755)
%doc AUTHORS CHANGES EXAMPLES LICENSE PKG-INFO README.rst TODO
%attr(755,root,root) %{_bindir}/sphinx-autogen-3
%attr(755,root,root) %{_bindir}/sphinx-apidoc-3
%attr(755,root,root) %{_bindir}/sphinx-build-3
%attr(755,root,root) %{_bindir}/sphinx-quickstart-3

%files -n python-Sphinx
%defattr(644,root,root,755)
%{py_sitescriptdir}/sphinx
%{py_sitescriptdir}/Sphinx-%{version}-py*.egg-info

%files -n python3-Sphinx
%defattr(644,root,root,755)
%{py3_sitescriptdir}/sphinx
%{py3_sitescriptdir}/Sphinx-%{version}-py*.egg-info
%changelog
* Sun Oct 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sphinx-pdg.git;a=log;h=master

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c61ae2
- rel 2; more guarding against: sphinx-build "error: option -b not recognized"

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f762fd4
- up to 1.2.3

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c1a32f
- python 3.4
- release 2 (by relup.sh)

* Thu Mar 06 2014 Jakub Bogusz <qboosh@pld-linux.org> f9b0e58
- updated to 1.2.2

* Tue Jan 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 4ecfdc9
- updated 1.2.1
- removed obsolete docutils-0.10 patch

* Mon Sep 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 3d438c8
- added docutils-0.10 patch (docutils 0.10 compatibility) found on lp
- release 4

* Sun May 12 2013 Elan Ruusamäe <glen@delfi.ee> b18e6f4
- R: python-devel-tools

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d529d9e
- release 2 (by relup.sh)

* Tue May 01 2012 Szymon Siwek <sls@pld-linux.org> f82fee3
- BR: python3-modules (required time module)

* Sun Mar 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 3cf2dc5
- updated to 1.1.3

* Fri Nov 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 5c7437a
- updated to 1.1.2

* Wed Oct 12 2011 Artur Frysiak <artur@frysiak.net> 7f1d650
- simplify python3 build
- BR for python3 version

* Tue Oct 11 2011 Jakub Bogusz <qboosh@pld-linux.org> ac0b54c
- updated docutils/jinja2/pygments dependencies

* Mon Oct 10 2011 Artur Frysiak <artur@frysiak.net> 1f35fc8
- up to 1.1

* Mon Sep 26 2011 Jakub Bogusz <qboosh@pld-linux.org> c043d08
- updated to 1.0.8

* Tue Sep 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 8dffcc2
- separated python*-Sphinx modules (for other python packages using Sphinx API)
- release 2

* Tue Sep 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 79af714
- pl
- changed prep not to mess outside builddir
- killed subshells in build/install (they hide build failures)
- more docs (CHANGES EXAMPLES LICENSE)

* Sun Aug 14 2011 wrobell <wrobell@pld-linux.org> e7b5373
- added py3k package (does not work yet, seems sphinx 1.1 is needed)

* Mon Jun 13 2011 wrobell <wrobell@pld-linux.org> fd87a70
- ver. 1.0.7

* Fri Nov 12 2010 Artur Frysiak <artur@frysiak.net> b844f66
- 1.0.5

